Search pricing by model ID
curl --request GET \
--url https://api.narev.ai/v1/prices/searchimport requests
url = "https://api.narev.ai/v1/prices/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.narev.ai/v1/prices/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"model_id": "<string>",
"provider_id": "<string>",
"pricing": {
"prompt": 123,
"completion": 123,
"discount": 123,
"request": 123,
"web_search": 123,
"input_cache_read": 123,
"input_cache_write": 123,
"image": 123,
"image_output": 123,
"audio": 123,
"audio_output": 123,
"input_audio_cache": 123,
"internal_reasoning": 123
},
"message": "<string>"
}
],
"meta": {
"page": 123,
"page_size": 123,
"total": 123,
"total_pages": 123
}
}Search pricing by model
Search pricing across all providers by model ID.
GET
/
v1
/
prices
/
search
Search pricing by model ID
Query Parameters
Search query matched against model ID.
Example:
"gpt-4"
Example:
"openai"
Example:
"gpt-4o"
Available options:
model_id, provider_id Example:
"model_id"
Available options:
asc, desc Example:
"asc"
Required range:
x >= 1Example:
1
Required range:
1 <= x <= 1000Example:
100
Was this page helpful?
⌘I